searchData={"items":[{"type":"module","title":"JSV","doc":"","ref":"JSV.html"},{"type":"function","title":"JSV.build/2","doc":"Builds the schema as a `JSV.Root` schema for validation.","ref":"JSV.html#build/2"},{"type":"function","title":"Options - JSV.build/2","doc":"* `:resolver` - Required. The resolver implementation module to retrieve schemas identified by an URL.\n\n* `:default_meta` (`t:String.t/0`) - The meta schema to use for resolved schemas that do not define a `\"$schema\"` property. The default value is `\"https://json-schema.org/draft/2020-12/schema\"`.\n\n* `:formats` - Controls the validation of strings with the `\"format\"` keyword.\n\n  * `nil` - Formats are validated according to the meta-schema vocabulary.\n  * `true` - Enforces validation with the built-in validator modules.\n  * `false` - Disables all format validation.\n  * `[Module1, Module2,...]` – set those modules as validators. Disables the built-in format validator modules.\n     The default validators can be included manually in the list, see `default_format_validator_modules/0`.\n\n  The default value is `nil`.","ref":"JSV.html#build/2-options"},{"type":"function","title":"JSV.default_format_validator_modules/0","doc":"Returns the list of format validator modules that are used when a schema is\nbuilt with format validation enabled and the `:formats` option to `build/2` is\n`true`.","ref":"JSV.html#default_format_validator_modules/0"},{"type":"function","title":"JSV.default_meta/0","doc":"Returns the default meta schema used when the `:default_meta` option is not\nset in `build/2`.\n\nCurrently returns \"https://json-schema.org/draft/2020-12/schema\".","ref":"JSV.html#default_meta/0"},{"type":"function","title":"JSV.normalize_error/1","doc":"","ref":"JSV.html#normalize_error/1"},{"type":"function","title":"JSV.validate/3","doc":"Validate the data with the given schema. The schema must be a `JSV.Root`\nstruct generated with `build/2`.","ref":"JSV.html#validate/3"},{"type":"function","title":"Options - JSV.validate/3","doc":"* `:cast_formats` (`t:boolean/0`) - When enabled format validators will return casted values, for instance a `Date` struct instead of the date as string. It has no effect when the schema was not built with formats enabled. The default value is `false`.","ref":"JSV.html#validate/3-options"},{"type":"module","title":"JSV.Application","doc":"","ref":"JSV.Application.html"},{"type":"function","title":"JSV.Application.start/2","doc":"","ref":"JSV.Application.html#start/2"},{"type":"module","title":"JSV.BooleanSchema","doc":"","ref":"JSV.BooleanSchema.html"},{"type":"function","title":"JSV.BooleanSchema.of/1","doc":"","ref":"JSV.BooleanSchema.html#of/1"},{"type":"function","title":"JSV.BooleanSchema.valid?/1","doc":"","ref":"JSV.BooleanSchema.html#valid?/1"},{"type":"module","title":"JSV.Builder","doc":"","ref":"JSV.Builder.html"},{"type":"function","title":"JSV.Builder.build/2","doc":"","ref":"JSV.Builder.html#build/2"},{"type":"function","title":"JSV.Builder.build_sub/2","doc":"","ref":"JSV.Builder.html#build_sub/2"},{"type":"function","title":"JSV.Builder.ensure_resolved/2","doc":"","ref":"JSV.Builder.html#ensure_resolved/2"},{"type":"function","title":"JSV.Builder.fetch_resolved/2","doc":"","ref":"JSV.Builder.html#fetch_resolved/2"},{"type":"function","title":"JSV.Builder.new/1","doc":"","ref":"JSV.Builder.html#new/1"},{"type":"function","title":"JSV.Builder.stage_build/2","doc":"","ref":"JSV.Builder.html#stage_build/2"},{"type":"type","title":"JSV.Builder.t/0","doc":"","ref":"JSV.Builder.html#t:t/0"},{"type":"function","title":"JSV.Builder.vocabulary_enabled?/2","doc":"","ref":"JSV.Builder.html#vocabulary_enabled?/2"},{"type":"module","title":"JSV.Codec","doc":"JSON encoder/decoder based on available implementation.","ref":"JSV.Codec.html"},{"type":"function","title":"JSV.Codec.decode/1","doc":"","ref":"JSV.Codec.html#decode/1"},{"type":"function","title":"JSV.Codec.decode!/1","doc":"","ref":"JSV.Codec.html#decode!/1"},{"type":"function","title":"JSV.Codec.encode!/1","doc":"","ref":"JSV.Codec.html#encode!/1"},{"type":"module","title":"JSV.ErrorFormatter","doc":"Error formatting loosely following the guidelines described at\nhttps://json-schema.org/blog/posts/fixing-json-schema-output\n\nErrors are grouped by similar instance location (the bit of data that was\ninvalidated) and schema location (the part of the schema that invalidated it).","ref":"JSV.ErrorFormatter.html"},{"type":"function","title":"JSV.ErrorFormatter.format_data_path/1","doc":"","ref":"JSV.ErrorFormatter.html#format_data_path/1"},{"type":"function","title":"JSV.ErrorFormatter.normalize_error/2","doc":"","ref":"JSV.ErrorFormatter.html#normalize_error/2"},{"type":"function","title":"JSV.ErrorFormatter.valid_unit/1","doc":"Returns an output unit with `valid: true` for the given\n`JSV.Validator`. This can be substitued to an Error struct in the\nnested details of an error. Mostly used to show multiple validated schemas\nwith `:oneOf`.","ref":"JSV.ErrorFormatter.html#valid_unit/1"},{"type":"behaviour","title":"JSV.FormatValidator","doc":"","ref":"JSV.FormatValidator.html"},{"type":"type","title":"JSV.FormatValidator.format/0","doc":"","ref":"JSV.FormatValidator.html#t:format/0"},{"type":"callback","title":"JSV.FormatValidator.supported_formats/0","doc":"","ref":"JSV.FormatValidator.html#c:supported_formats/0"},{"type":"callback","title":"JSV.FormatValidator.validate_cast/2","doc":"","ref":"JSV.FormatValidator.html#c:validate_cast/2"},{"type":"module","title":"JSV.FormatValidator.Default","doc":"","ref":"JSV.FormatValidator.Default.html"},{"type":"function","title":"JSV.FormatValidator.Default.supported_formats/0","doc":"","ref":"JSV.FormatValidator.Default.html#supported_formats/0"},{"type":"function","title":"JSV.FormatValidator.Default.validate_cast/2","doc":"","ref":"JSV.FormatValidator.Default.html#validate_cast/2"},{"type":"module","title":"JSV.FormatValidator.Default.Optional.IRI","doc":"","ref":"JSV.FormatValidator.Default.Optional.IRI.html"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.absolute_iri/2","doc":"Parses the given `binary` as absolute_iri.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the absolute_iri (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#absolute_iri/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.absolute_iri/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#absolute_iri/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.dec_octet/2","doc":"Parses the given `binary` as dec_octet.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the dec_octet (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#dec_octet/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.dec_octet/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#dec_octet/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.gen_delims/2","doc":"Parses the given `binary` as gen_delims.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the gen_delims (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#gen_delims/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.gen_delims/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#gen_delims/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.h16/2","doc":"Parses the given `binary` as h16.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the h16 (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#h16/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.h16/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#h16/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.iauthority/2","doc":"Parses the given `binary` as iauthority.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the iauthority (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iauthority/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.iauthority/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iauthority/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ifragment/2","doc":"Parses the given `binary` as ifragment.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ifragment (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ifragment/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ifragment/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ifragment/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ihier_part/2","doc":"Parses the given `binary` as ihier_part.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ihier_part (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ihier_part/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ihier_part/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ihier_part/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ihost/2","doc":"Parses the given `binary` as ihost.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ihost (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ihost/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ihost/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ihost/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ip_literal/2","doc":"Parses the given `binary` as ip_literal.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ip_literal (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ip_literal/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ip_literal/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ip_literal/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ipath/2","doc":"Parses the given `binary` as ipath.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipath (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ipath/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ipath_abempty/2","doc":"Parses the given `binary` as ipath_abempty.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipath_abempty (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath_abempty/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ipath_abempty/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath_abempty/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ipath_absolute/2","doc":"Parses the given `binary` as ipath_absolute.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipath_absolute (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath_absolute/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ipath_absolute/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath_absolute/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ipath_empty/2","doc":"Parses the given `binary` as ipath_empty.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipath_empty (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath_empty/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ipath_empty/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath_empty/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ipath_noscheme/2","doc":"Parses the given `binary` as ipath_noscheme.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipath_noscheme (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath_noscheme/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ipath_noscheme/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath_noscheme/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ipath_rootless/2","doc":"Parses the given `binary` as ipath_rootless.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipath_rootless (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath_rootless/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ipath_rootless/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipath_rootless/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ipchar/2","doc":"Parses the given `binary` as ipchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipchar/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ipchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipchar/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.iprivate/2","doc":"Parses the given `binary` as iprivate.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the iprivate (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iprivate/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.iprivate/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iprivate/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ipv4address/2","doc":"Parses the given `binary` as ipv4address.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipv4address (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipv4address/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ipv4address/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipv4address/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ipv6address/2","doc":"Parses the given `binary` as ipv6address.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipv6address (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipv6address/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ipv6address/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipv6address/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ipvfuture/2","doc":"Parses the given `binary` as ipvfuture.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipvfuture (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipvfuture/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ipvfuture/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ipvfuture/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.iquery/2","doc":"Parses the given `binary` as iquery.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the iquery (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iquery/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.iquery/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iquery/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ireg_name/2","doc":"Parses the given `binary` as ireg_name.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ireg_name (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ireg_name/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ireg_name/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ireg_name/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.irelative_part/2","doc":"Parses the given `binary` as irelative_part.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the irelative_part (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#irelative_part/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.irelative_part/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#irelative_part/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.irelative_ref/2","doc":"Parses the given `binary` as irelative_ref.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the irelative_ref (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#irelative_ref/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.irelative_ref/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#irelative_ref/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.iri/2","doc":"Parses the given `binary` as iri.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the iri (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iri/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.iri/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iri/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.iri_reference/2","doc":"Parses the given `binary` as iri_reference.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the iri_reference (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iri_reference/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.iri_reference/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iri_reference/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.isegment/2","doc":"Parses the given `binary` as isegment.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the isegment (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#isegment/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.isegment/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#isegment/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.isegment_nz/2","doc":"Parses the given `binary` as isegment_nz.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the isegment_nz (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#isegment_nz/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.isegment_nz/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#isegment_nz/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.isegment_nz_nc/2","doc":"Parses the given `binary` as isegment_nz_nc.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the isegment_nz_nc (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#isegment_nz_nc/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.isegment_nz_nc/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#isegment_nz_nc/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.iunreserved/2","doc":"Parses the given `binary` as iunreserved.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the iunreserved (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iunreserved/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.iunreserved/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iunreserved/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.iuserinfo/2","doc":"Parses the given `binary` as iuserinfo.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the iuserinfo (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iuserinfo/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.iuserinfo/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#iuserinfo/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ls32/2","doc":"Parses the given `binary` as ls32.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ls32 (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ls32/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ls32/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ls32/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.parse_iri/1","doc":"","ref":"JSV.FormatValidator.Default.Optional.IRI.html#parse_iri/1"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.parse_iri_reference/1","doc":"","ref":"JSV.FormatValidator.Default.Optional.IRI.html#parse_iri_reference/1"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.pct_encoded/2","doc":"Parses the given `binary` as pct_encoded.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the pct_encoded (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#pct_encoded/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.pct_encoded/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#pct_encoded/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.port/2","doc":"Parses the given `binary` as port.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the port (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#port/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.port/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#port/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.reserved/2","doc":"Parses the given `binary` as reserved.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the reserved (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#reserved/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.reserved/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#reserved/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.scheme/2","doc":"Parses the given `binary` as scheme.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the scheme (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#scheme/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.scheme/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#scheme/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.sub_delims/2","doc":"Parses the given `binary` as sub_delims.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the sub_delims (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#sub_delims/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.sub_delims/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#sub_delims/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.ucschar/2","doc":"Parses the given `binary` as ucschar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ucschar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ucschar/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.ucschar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#ucschar/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.IRI.unreserved/2","doc":"Parses the given `binary` as unreserved.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the unreserved (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.IRI.html#unreserved/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.IRI.unreserved/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.IRI.html#unreserved/2-options"},{"type":"module","title":"JSV.FormatValidator.Default.Optional.JSONPointer","doc":"","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.JSONPointer.escaped/2","doc":"Parses the given `binary` as escaped.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the escaped (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#escaped/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.JSONPointer.escaped/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#escaped/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.JSONPointer.json_pointer/2","doc":"Parses the given `binary` as json_pointer.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the json_pointer (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#json_pointer/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.JSONPointer.json_pointer/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#json_pointer/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.JSONPointer.non_negative_integer/2","doc":"Parses the given `binary` as non_negative_integer.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the non_negative_integer (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#non_negative_integer/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.JSONPointer.non_negative_integer/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#non_negative_integer/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.JSONPointer.parse_json_pointer/1","doc":"","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#parse_json_pointer/1"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.JSONPointer.parse_relative_json_pointer/1","doc":"","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#parse_relative_json_pointer/1"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.JSONPointer.reference_token/2","doc":"Parses the given `binary` as reference_token.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the reference_token (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#reference_token/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.JSONPointer.reference_token/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#reference_token/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.JSONPointer.relative_json_pointer/2","doc":"Parses the given `binary` as relative_json_pointer.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the relative_json_pointer (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#relative_json_pointer/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.JSONPointer.relative_json_pointer/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#relative_json_pointer/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.JSONPointer.unescaped/2","doc":"Parses the given `binary` as unescaped.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the unescaped (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#unescaped/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.JSONPointer.unescaped/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.JSONPointer.html#unescaped/2-options"},{"type":"module","title":"JSV.FormatValidator.Default.Optional.URI","doc":"","ref":"JSV.FormatValidator.Default.Optional.URI.html"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.absolute_uri/2","doc":"Parses the given `binary` as absolute_uri.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the absolute_uri (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#absolute_uri/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.absolute_uri/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#absolute_uri/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.authority/2","doc":"Parses the given `binary` as authority.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the authority (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#authority/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.authority/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#authority/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.dec_octet/2","doc":"Parses the given `binary` as dec_octet.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the dec_octet (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#dec_octet/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.dec_octet/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#dec_octet/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.fragment/2","doc":"Parses the given `binary` as fragment.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the fragment (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#fragment/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.fragment/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#fragment/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.gen_delims/2","doc":"Parses the given `binary` as gen_delims.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the gen_delims (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#gen_delims/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.gen_delims/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#gen_delims/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.h16/2","doc":"Parses the given `binary` as h16.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the h16 (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#h16/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.h16/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#h16/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.hier_part/2","doc":"Parses the given `binary` as hier_part.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the hier_part (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#hier_part/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.hier_part/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#hier_part/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.host/2","doc":"Parses the given `binary` as host.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the host (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#host/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.host/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#host/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.ip_literal/2","doc":"Parses the given `binary` as ip_literal.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ip_literal (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#ip_literal/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.ip_literal/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#ip_literal/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.ipv4address/2","doc":"Parses the given `binary` as ipv4address.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipv4address (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#ipv4address/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.ipv4address/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#ipv4address/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.ipv6address/2","doc":"Parses the given `binary` as ipv6address.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipv6address (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#ipv6address/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.ipv6address/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#ipv6address/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.ipvfuture/2","doc":"Parses the given `binary` as ipvfuture.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ipvfuture (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#ipvfuture/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.ipvfuture/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#ipvfuture/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.ls32/2","doc":"Parses the given `binary` as ls32.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ls32 (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#ls32/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.ls32/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#ls32/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.parse_uri/1","doc":"","ref":"JSV.FormatValidator.Default.Optional.URI.html#parse_uri/1"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.parse_uri_reference/1","doc":"","ref":"JSV.FormatValidator.Default.Optional.URI.html#parse_uri_reference/1"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.path/2","doc":"Parses the given `binary` as path.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the path (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#path/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.path/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#path/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.path_abempty/2","doc":"Parses the given `binary` as path_abempty.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the path_abempty (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#path_abempty/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.path_abempty/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#path_abempty/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.path_absolute/2","doc":"Parses the given `binary` as path_absolute.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the path_absolute (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#path_absolute/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.path_absolute/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#path_absolute/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.path_empty/2","doc":"Parses the given `binary` as path_empty.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the path_empty (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#path_empty/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.path_empty/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#path_empty/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.path_noscheme/2","doc":"Parses the given `binary` as path_noscheme.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the path_noscheme (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#path_noscheme/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.path_noscheme/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#path_noscheme/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.path_rootless/2","doc":"Parses the given `binary` as path_rootless.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the path_rootless (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#path_rootless/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.path_rootless/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#path_rootless/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.pchar/2","doc":"Parses the given `binary` as pchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the pchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#pchar/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.pchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#pchar/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.pct_encoded/2","doc":"Parses the given `binary` as pct_encoded.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the pct_encoded (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#pct_encoded/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.pct_encoded/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#pct_encoded/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.port/2","doc":"Parses the given `binary` as port.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the port (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#port/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.port/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#port/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.query/2","doc":"Parses the given `binary` as query.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the query (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#query/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.query/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#query/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.reg_name/2","doc":"Parses the given `binary` as reg_name.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the reg_name (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#reg_name/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.reg_name/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#reg_name/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.relative_part/2","doc":"Parses the given `binary` as relative_part.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the relative_part (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#relative_part/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.relative_part/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#relative_part/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.relative_ref/2","doc":"Parses the given `binary` as relative_ref.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the relative_ref (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#relative_ref/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.relative_ref/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#relative_ref/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.reserved/2","doc":"Parses the given `binary` as reserved.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the reserved (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#reserved/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.reserved/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#reserved/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.scheme/2","doc":"Parses the given `binary` as scheme.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the scheme (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#scheme/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.scheme/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#scheme/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.segment/2","doc":"Parses the given `binary` as segment.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the segment (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#segment/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.segment/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#segment/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.segment_nz/2","doc":"Parses the given `binary` as segment_nz.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the segment_nz (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#segment_nz/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.segment_nz/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#segment_nz/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.segment_nz_nc/2","doc":"Parses the given `binary` as segment_nz_nc.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the segment_nz_nc (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#segment_nz_nc/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.segment_nz_nc/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#segment_nz_nc/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.sub_delims/2","doc":"Parses the given `binary` as sub_delims.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the sub_delims (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#sub_delims/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.sub_delims/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#sub_delims/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.unreserved/2","doc":"Parses the given `binary` as unreserved.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the unreserved (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#unreserved/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.unreserved/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#unreserved/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.uri/2","doc":"Parses the given `binary` as uri.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uri (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#uri/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.uri/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#uri/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.uri_reference/2","doc":"Parses the given `binary` as uri_reference.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uri_reference (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#uri_reference/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.uri_reference/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#uri_reference/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URI.userinfo/2","doc":"Parses the given `binary` as userinfo.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the userinfo (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URI.html#userinfo/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URI.userinfo/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URI.html#userinfo/2-options"},{"type":"module","title":"JSV.FormatValidator.Default.Optional.URITemplate","doc":"","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.alpha/2","doc":"Parses the given `binary` as alpha.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the alpha (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#alpha/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.alpha/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#alpha/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.digit/2","doc":"Parses the given `binary` as digit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the digit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#digit/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.digit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#digit/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.explode/2","doc":"Parses the given `binary` as explode.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the explode (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#explode/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.explode/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#explode/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.expression/2","doc":"Parses the given `binary` as expression.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the expression (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#expression/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.expression/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#expression/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.gen_delims/2","doc":"Parses the given `binary` as gen_delims.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the gen_delims (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#gen_delims/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.gen_delims/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#gen_delims/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.hexdig/2","doc":"Parses the given `binary` as hexdig.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the hexdig (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#hexdig/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.hexdig/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#hexdig/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.iprivate/2","doc":"Parses the given `binary` as iprivate.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the iprivate (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#iprivate/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.iprivate/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#iprivate/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.literals/2","doc":"Parses the given `binary` as literals.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the literals (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#literals/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.literals/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#literals/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.max_length/2","doc":"Parses the given `binary` as max_length.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the max_length (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#max_length/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.max_length/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#max_length/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.modifier_level4/2","doc":"Parses the given `binary` as modifier_level4.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the modifier_level4 (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#modifier_level4/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.modifier_level4/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#modifier_level4/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.op_level2/2","doc":"Parses the given `binary` as op_level2.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the op_level2 (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#op_level2/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.op_level2/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#op_level2/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.op_level3/2","doc":"Parses the given `binary` as op_level3.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the op_level3 (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#op_level3/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.op_level3/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#op_level3/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.op_reserve/2","doc":"Parses the given `binary` as op_reserve.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the op_reserve (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#op_reserve/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.op_reserve/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#op_reserve/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.operator/2","doc":"Parses the given `binary` as operator.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the operator (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#operator/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.operator/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#operator/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.parse_uri_template/1","doc":"","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#parse_uri_template/1"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.pct_encoded/2","doc":"Parses the given `binary` as pct_encoded.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the pct_encoded (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#pct_encoded/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.pct_encoded/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#pct_encoded/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.prefix/2","doc":"Parses the given `binary` as prefix.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the prefix (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#prefix/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.prefix/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#prefix/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.reserved/2","doc":"Parses the given `binary` as reserved.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the reserved (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#reserved/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.reserved/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#reserved/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.sub_delims/2","doc":"Parses the given `binary` as sub_delims.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the sub_delims (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#sub_delims/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.sub_delims/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#sub_delims/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.ucschar/2","doc":"Parses the given `binary` as ucschar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the ucschar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#ucschar/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.ucschar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#ucschar/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.unreserved/2","doc":"Parses the given `binary` as unreserved.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the unreserved (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#unreserved/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.unreserved/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#unreserved/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.uri_template/2","doc":"Parses the given `binary` as uri_template.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the uri_template (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#uri_template/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.uri_template/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#uri_template/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.varchar/2","doc":"Parses the given `binary` as varchar.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the varchar (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#varchar/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.varchar/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#varchar/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.variable_list/2","doc":"Parses the given `binary` as variable_list.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the variable_list (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#variable_list/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.variable_list/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#variable_list/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.varname/2","doc":"Parses the given `binary` as varname.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the varname (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#varname/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.varname/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#varname/2-options"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.URITemplate.varspec/2","doc":"Parses the given `binary` as varspec.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the varspec (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#varspec/2"},{"type":"function","title":"Options - JSV.FormatValidator.Default.Optional.URITemplate.varspec/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"JSV.FormatValidator.Default.Optional.URITemplate.html#varspec/2-options"},{"type":"module","title":"JSV.FormatValidator.Default.Optional.UUID","doc":"","ref":"JSV.FormatValidator.Default.Optional.UUID.html"},{"type":"macro","title":"JSV.FormatValidator.Default.Optional.UUID.is_hex/1","doc":"","ref":"JSV.FormatValidator.Default.Optional.UUID.html#is_hex/1"},{"type":"function","title":"JSV.FormatValidator.Default.Optional.UUID.parse_uuid/1","doc":"","ref":"JSV.FormatValidator.Default.Optional.UUID.html#parse_uuid/1"},{"type":"module","title":"JSV.Helpers","doc":"","ref":"JSV.Helpers.html"},{"type":"function","title":"JSV.Helpers.fractional_is_zero?/1","doc":"","ref":"JSV.Helpers.html#fractional_is_zero?/1"},{"type":"function","title":"JSV.Helpers.reduce_ok/3","doc":"","ref":"JSV.Helpers.html#reduce_ok/3"},{"type":"type","title":"JSV.Helpers.result/0","doc":"","ref":"JSV.Helpers.html#t:result/0"},{"type":"type","title":"JSV.Helpers.result/1","doc":"","ref":"JSV.Helpers.html#t:result/1"},{"type":"function","title":"JSV.Helpers.trunc/1","doc":"","ref":"JSV.Helpers.html#trunc/1"},{"type":"module","title":"JSV.Key","doc":"","ref":"JSV.Key.html"},{"type":"function","title":"JSV.Key.for_anchor/2","doc":"","ref":"JSV.Key.html#for_anchor/2"},{"type":"function","title":"JSV.Key.for_dynamic_anchor/2","doc":"","ref":"JSV.Key.html#for_dynamic_anchor/2"},{"type":"function","title":"JSV.Key.for_pointer/2","doc":"","ref":"JSV.Key.html#for_pointer/2"},{"type":"function","title":"JSV.Key.namespace_of/1","doc":"","ref":"JSV.Key.html#namespace_of/1"},{"type":"function","title":"JSV.Key.of/1","doc":"","ref":"JSV.Key.html#of/1"},{"type":"function","title":"JSV.Key.to_iodata/1","doc":"","ref":"JSV.Key.html#to_iodata/1"},{"type":"module","title":"JSV.RNS","doc":"","ref":"JSV.RNS.html"},{"type":"function","title":"JSV.RNS.derive/2","doc":"","ref":"JSV.RNS.html#derive/2"},{"type":"function","title":"JSV.RNS.parse/1","doc":"","ref":"JSV.RNS.html#parse/1"},{"type":"function","title":"JSV.RNS.to_ns/1","doc":"","ref":"JSV.RNS.html#to_ns/1"},{"type":"module","title":"JSV.Ref","doc":"","ref":"JSV.Ref.html"},{"type":"function","title":"JSV.Ref.do_parse/3","doc":"","ref":"JSV.Ref.html#do_parse/3"},{"type":"function","title":"JSV.Ref.escape_json_pointer/1","doc":"","ref":"JSV.Ref.html#escape_json_pointer/1"},{"type":"function","title":"JSV.Ref.parse/2","doc":"","ref":"JSV.Ref.html#parse/2"},{"type":"function","title":"JSV.Ref.parse_dynamic/2","doc":"","ref":"JSV.Ref.html#parse_dynamic/2"},{"type":"behaviour","title":"JSV.Resolver","doc":"","ref":"JSV.Resolver.html"},{"type":"function","title":"JSV.Resolver.fetch_meta/2","doc":"","ref":"JSV.Resolver.html#fetch_meta/2"},{"type":"function","title":"JSV.Resolver.fetch_raw_schema/2","doc":"","ref":"JSV.Resolver.html#fetch_raw_schema/2"},{"type":"function","title":"JSV.Resolver.fetch_resolved/2","doc":"","ref":"JSV.Resolver.html#fetch_resolved/2"},{"type":"function","title":"JSV.Resolver.new/2","doc":"","ref":"JSV.Resolver.html#new/2"},{"type":"function","title":"JSV.Resolver.resolve/2","doc":"","ref":"JSV.Resolver.html#resolve/2"},{"type":"callback","title":"JSV.Resolver.resolve/2","doc":"","ref":"JSV.Resolver.html#c:resolve/2"},{"type":"function","title":"JSV.Resolver.resolve_root/2","doc":"","ref":"JSV.Resolver.html#resolve_root/2"},{"type":"opaque","title":"JSV.Resolver.t/0","doc":"","ref":"JSV.Resolver.html#t:t/0"},{"type":"module","title":"JSV.Resolver.BuiltIn","doc":"","ref":"JSV.Resolver.BuiltIn.html"},{"type":"function","title":"JSV.Resolver.BuiltIn.default_cache_dir/0","doc":"","ref":"JSV.Resolver.BuiltIn.html#default_cache_dir/0"},{"type":"function","title":"JSV.Resolver.BuiltIn.resolve/2","doc":"","ref":"JSV.Resolver.BuiltIn.html#resolve/2"},{"type":"module","title":"JSV.Resolver.Cache","doc":"","ref":"JSV.Resolver.Cache.html"},{"type":"function","title":"JSV.Resolver.Cache.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"JSV.Resolver.Cache.html#child_spec/1"},{"type":"function","title":"JSV.Resolver.Cache.get_or_generate/3","doc":"","ref":"JSV.Resolver.Cache.html#get_or_generate/3"},{"type":"function","title":"JSV.Resolver.Cache.start_link/1","doc":"Starts a cache identified with a name.","ref":"JSV.Resolver.Cache.html#start_link/1"},{"type":"function","title":"Options - JSV.Resolver.Cache.start_link/1","doc":"* `:name` (`t:atom/0`) - Required. The name for the cache and the public ETS table.\n\n\n\nThis function also supports other `GenServer` options.","ref":"JSV.Resolver.Cache.html#start_link/1-options"},{"type":"module","title":"JSV.Resolver.Resolved","doc":"","ref":"JSV.Resolver.Resolved.html"},{"type":"type","title":"JSV.Resolver.Resolved.t/0","doc":"","ref":"JSV.Resolver.Resolved.html#t:t/0"},{"type":"module","title":"JSV.Root","doc":"Internal representation of a JSON schema built with `JSV.build/2`.\n\nThe original schema, in its string-keys form, can be retrieved in the `:raw`\nkey of the struct.","ref":"JSV.Root.html"},{"type":"type","title":"JSV.Root.t/0","doc":"","ref":"JSV.Root.html#t:t/0"},{"type":"module","title":"JSV.Schema","doc":"","ref":"JSV.Schema.html"},{"type":"function","title":"JSV.Schema.boolean/1","doc":"","ref":"JSV.Schema.html#boolean/1"},{"type":"function","title":"JSV.Schema.integer/1","doc":"","ref":"JSV.Schema.html#integer/1"},{"type":"function","title":"JSV.Schema.items/2","doc":"","ref":"JSV.Schema.html#items/2"},{"type":"function","title":"JSV.Schema.new/1","doc":"","ref":"JSV.Schema.html#new/1"},{"type":"function","title":"JSV.Schema.number/1","doc":"","ref":"JSV.Schema.html#number/1"},{"type":"function","title":"JSV.Schema.object/1","doc":"","ref":"JSV.Schema.html#object/1"},{"type":"function","title":"JSV.Schema.override/2","doc":"","ref":"JSV.Schema.html#override/2"},{"type":"function","title":"JSV.Schema.ref/2","doc":"","ref":"JSV.Schema.html#ref/2"},{"type":"function","title":"JSV.Schema.string/1","doc":"","ref":"JSV.Schema.html#string/1"},{"type":"module","title":"JSV.Validator","doc":"","ref":"JSV.Validator.html"},{"type":"function","title":"JSV.Validator.boolean_schema_error/3","doc":"","ref":"JSV.Validator.html#boolean_schema_error/3"},{"type":"function","title":"JSV.Validator.checkout_ref/2","doc":"","ref":"JSV.Validator.html#checkout_ref/2"},{"type":"function","title":"JSV.Validator.flat_errors/1","doc":"","ref":"JSV.Validator.html#flat_errors/1"},{"type":"function","title":"JSV.Validator.iterate/4","doc":"Iteration over an enum, accumulating errors.\n\nThis function is kind of a mix between map and reduce:\n\n* The callback is called with `item, acc, vctx` for all items in the enum,\n  regardless of previously returned values. Returning and error tuple does not\n  stop the iteration.\n* When returning `{:ok, value, vctx}`, `value` will be the new accumulator.\n* When returning `{:error, vctx}`, the vale accumulator is not changed, but the\n  new returned vctx with errors is carried on.\n* Returning an ok tuple after an error tuple on a previous item does not\n  remove the errors from the validator struct, they are carried along.\n\nThe final return value is `{:ok, acc, vctx}` if all calls of the callback\nreturned an OK tuple, `{:error, vctx}` otherwise.\n\nThis is useful to call all possible validators for a given piece of data,\ncollecting all possible errors without stopping, but still returning an error\nin the end if some error arose.","ref":"JSV.Validator.html#iterate/4"},{"type":"function","title":"JSV.Validator.list_evaluaded/1","doc":"","ref":"JSV.Validator.html#list_evaluaded/1"},{"type":"function","title":"JSV.Validator.merge_evaluated/2","doc":"","ref":"JSV.Validator.html#merge_evaluated/2"},{"type":"function","title":"JSV.Validator.new/3","doc":"","ref":"JSV.Validator.html#new/3"},{"type":"function","title":"JSV.Validator.return/2","doc":"","ref":"JSV.Validator.html#return/2"},{"type":"opaque","title":"JSV.Validator.t/0","doc":"","ref":"JSV.Validator.html#t:t/0"},{"type":"function","title":"JSV.Validator.to_error/1","doc":"","ref":"JSV.Validator.html#to_error/1"},{"type":"function","title":"JSV.Validator.validate/3","doc":"","ref":"JSV.Validator.html#validate/3"},{"type":"function","title":"JSV.Validator.validate_as/4","doc":"Validates data with a sub part of the schema, for instance `if`, `then` or\n`else`. Data path will not change in the context.\n\nSee `validate_in/5` to validate sub terms of the data.","ref":"JSV.Validator.html#validate_as/4"},{"type":"function","title":"JSV.Validator.validate_detach/4","doc":"Validate the data with the given validators but separate the current\nevaluation context during the validation.\n\nCurrently evaluated properties or items will not be seen as evaluated during\nthe validation by the given `subschema`.","ref":"JSV.Validator.html#validate_detach/4"},{"type":"function","title":"JSV.Validator.validate_in/5","doc":"Validates a sub term of the data, identified by `key`, which can be a property\nname (a string), or an array index (an integer).\n\nSee `validate_as/4` to validate the same data point with a nested keyword. For\ninstance `if`, `then` or `else`.","ref":"JSV.Validator.html#validate_in/5"},{"type":"function","title":"JSV.Validator.validate_ref/4","doc":"","ref":"JSV.Validator.html#validate_ref/4"},{"type":"macro","title":"JSV.Validator.with_error/4","doc":"","ref":"JSV.Validator.html#with_error/4"},{"type":"module","title":"JSV.Validator.Error","doc":"","ref":"JSV.Validator.Error.html"},{"type":"function","title":"JSV.Validator.Error.format_error/3","doc":"","ref":"JSV.Validator.Error.html#format_error/3"},{"type":"opaque","title":"JSV.Validator.Error.t/0","doc":"","ref":"JSV.Validator.Error.html#t:t/0"},{"type":"behaviour","title":"JSV.Vocabulary","doc":"","ref":"JSV.Vocabulary.html"},{"type":"macro","title":"JSV.Vocabulary.consume_keyword/1","doc":"","ref":"JSV.Vocabulary.html#consume_keyword/1"},{"type":"type","title":"JSV.Vocabulary.data/0","doc":"","ref":"JSV.Vocabulary.html#t:data/0"},{"type":"callback","title":"JSV.Vocabulary.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.html#c:finalize_validators/1"},{"type":"callback","title":"JSV.Vocabulary.format_error/3","doc":"","ref":"JSV.Vocabulary.html#c:format_error/3"},{"type":"callback","title":"JSV.Vocabulary.handle_keyword/4","doc":"","ref":"JSV.Vocabulary.html#c:handle_keyword/4"},{"type":"macro","title":"JSV.Vocabulary.ignore_any_keyword/0","doc":"","ref":"JSV.Vocabulary.html#ignore_any_keyword/0"},{"type":"macro","title":"JSV.Vocabulary.ignore_keyword/1","doc":"","ref":"JSV.Vocabulary.html#ignore_keyword/1"},{"type":"callback","title":"JSV.Vocabulary.init_validators/1","doc":"","ref":"JSV.Vocabulary.html#c:init_validators/1"},{"type":"type","title":"JSV.Vocabulary.pair/0","doc":"","ref":"JSV.Vocabulary.html#t:pair/0"},{"type":"macro","title":"JSV.Vocabulary.pass/1","doc":"","ref":"JSV.Vocabulary.html#pass/1"},{"type":"callback","title":"JSV.Vocabulary.priority/0","doc":"Returns the priority for applyting this module to the data.\n\nLower values (close to zero) will be applied first. You can think \"order\"\ninstead of \"priority\" but several modules can share the same priority value.\n\nThis can be useful to define vocabularies that depend on other vocabularies.\nFor instance, the `unevaluatedProperties` keyword needs \"properties\",\n\"patternProperties\", \"additionalProperties\" and \"allOf\", \"oneOf\", \"anyOf\",\n_etc._ to be ran before itself so it can lookup what has been evaluated.\n\nModules shipped in this library have priority of 100, 200, etc. up to 900 so\nyou can interleave your own vocabularies. Casting values to non-validable\nterms (such as structs or dates) should be done by vocabularies with a\npriority of 1000 and above.","ref":"JSV.Vocabulary.html#c:priority/0"},{"type":"function","title":"JSV.Vocabulary.take_integer/4","doc":"","ref":"JSV.Vocabulary.html#take_integer/4"},{"type":"macro","title":"JSV.Vocabulary.take_keyword/6","doc":"","ref":"JSV.Vocabulary.html#take_keyword/6"},{"type":"function","title":"JSV.Vocabulary.take_number/4","doc":"","ref":"JSV.Vocabulary.html#take_number/4"},{"type":"function","title":"JSV.Vocabulary.take_sub/4","doc":"","ref":"JSV.Vocabulary.html#take_sub/4"},{"type":"callback","title":"JSV.Vocabulary.validate/3","doc":"","ref":"JSV.Vocabulary.html#c:validate/3"},{"type":"type","title":"JSV.Vocabulary.validators/0","doc":"","ref":"JSV.Vocabulary.html#t:validators/0"},{"type":"module","title":"JSV.Vocabulary.Draft7.Applicator","doc":"","ref":"JSV.Vocabulary.Draft7.Applicator.html"},{"type":"function","title":"JSV.Vocabulary.Draft7.Applicator.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.Applicator.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.Applicator.format_error/3","doc":"","ref":"JSV.Vocabulary.Draft7.Applicator.html#format_error/3"},{"type":"function","title":"JSV.Vocabulary.Draft7.Applicator.init_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.Applicator.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.Applicator.validate/3","doc":"","ref":"JSV.Vocabulary.Draft7.Applicator.html#validate/3"},{"type":"function","title":"JSV.Vocabulary.Draft7.Applicator.validate_keyword/3","doc":"","ref":"JSV.Vocabulary.Draft7.Applicator.html#validate_keyword/3"},{"type":"module","title":"JSV.Vocabulary.Draft7.Content","doc":"","ref":"JSV.Vocabulary.Draft7.Content.html"},{"type":"function","title":"JSV.Vocabulary.Draft7.Content.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.Content.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.Content.init_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.Content.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.Content.validate/3","doc":"","ref":"JSV.Vocabulary.Draft7.Content.html#validate/3"},{"type":"module","title":"JSV.Vocabulary.Draft7.Core","doc":"","ref":"JSV.Vocabulary.Draft7.Core.html"},{"type":"function","title":"JSV.Vocabulary.Draft7.Core.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.Core.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.Core.init_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.Core.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.Core.validate/3","doc":"","ref":"JSV.Vocabulary.Draft7.Core.html#validate/3"},{"type":"module","title":"JSV.Vocabulary.Draft7.Format","doc":"","ref":"JSV.Vocabulary.Draft7.Format.html"},{"type":"function","title":"JSV.Vocabulary.Draft7.Format.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.Format.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.Format.handle_keyword/4","doc":"","ref":"JSV.Vocabulary.Draft7.Format.html#handle_keyword/4"},{"type":"function","title":"JSV.Vocabulary.Draft7.Format.init_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.Format.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.Format.validate/3","doc":"","ref":"JSV.Vocabulary.Draft7.Format.html#validate/3"},{"type":"module","title":"JSV.Vocabulary.Draft7.MetaData","doc":"","ref":"JSV.Vocabulary.Draft7.MetaData.html"},{"type":"function","title":"JSV.Vocabulary.Draft7.MetaData.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.MetaData.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.MetaData.handle_keyword/4","doc":"","ref":"JSV.Vocabulary.Draft7.MetaData.html#handle_keyword/4"},{"type":"function","title":"JSV.Vocabulary.Draft7.MetaData.init_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.MetaData.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.MetaData.validate/3","doc":"","ref":"JSV.Vocabulary.Draft7.MetaData.html#validate/3"},{"type":"module","title":"JSV.Vocabulary.Draft7.Validation","doc":"","ref":"JSV.Vocabulary.Draft7.Validation.html"},{"type":"function","title":"JSV.Vocabulary.Draft7.Validation.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.Validation.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.Validation.handle_keyword/4","doc":"","ref":"JSV.Vocabulary.Draft7.Validation.html#handle_keyword/4"},{"type":"function","title":"JSV.Vocabulary.Draft7.Validation.init_validators/1","doc":"","ref":"JSV.Vocabulary.Draft7.Validation.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.Draft7.Validation.validate/3","doc":"","ref":"JSV.Vocabulary.Draft7.Validation.html#validate/3"},{"type":"module","title":"JSV.Vocabulary.V202012.Applicator","doc":"","ref":"JSV.Vocabulary.V202012.Applicator.html"},{"type":"function","title":"JSV.Vocabulary.V202012.Applicator.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Applicator.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Applicator.format_error/3","doc":"","ref":"JSV.Vocabulary.V202012.Applicator.html#format_error/3"},{"type":"function","title":"JSV.Vocabulary.V202012.Applicator.init_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Applicator.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Applicator.validate/3","doc":"","ref":"JSV.Vocabulary.V202012.Applicator.html#validate/3"},{"type":"function","title":"JSV.Vocabulary.V202012.Applicator.validate_keyword/3","doc":"","ref":"JSV.Vocabulary.V202012.Applicator.html#validate_keyword/3"},{"type":"module","title":"JSV.Vocabulary.V202012.Content","doc":"","ref":"JSV.Vocabulary.V202012.Content.html"},{"type":"function","title":"JSV.Vocabulary.V202012.Content.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Content.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Content.init_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Content.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Content.validate/3","doc":"","ref":"JSV.Vocabulary.V202012.Content.html#validate/3"},{"type":"module","title":"JSV.Vocabulary.V202012.Core","doc":"","ref":"JSV.Vocabulary.V202012.Core.html"},{"type":"function","title":"JSV.Vocabulary.V202012.Core.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Core.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Core.init_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Core.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Core.maybe_swap_ref/2","doc":"","ref":"JSV.Vocabulary.V202012.Core.html#maybe_swap_ref/2"},{"type":"function","title":"JSV.Vocabulary.V202012.Core.ok_put_ref/4","doc":"","ref":"JSV.Vocabulary.V202012.Core.html#ok_put_ref/4"},{"type":"function","title":"JSV.Vocabulary.V202012.Core.validate/3","doc":"","ref":"JSV.Vocabulary.V202012.Core.html#validate/3"},{"type":"function","title":"JSV.Vocabulary.V202012.Core.validate_keyword/3","doc":"","ref":"JSV.Vocabulary.V202012.Core.html#validate_keyword/3"},{"type":"module","title":"JSV.Vocabulary.V202012.Format","doc":"","ref":"JSV.Vocabulary.V202012.Format.html"},{"type":"function","title":"JSV.Vocabulary.V202012.Format.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Format.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Format.format_error/3","doc":"","ref":"JSV.Vocabulary.V202012.Format.html#format_error/3"},{"type":"function","title":"JSV.Vocabulary.V202012.Format.init_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Format.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Format.validate/3","doc":"","ref":"JSV.Vocabulary.V202012.Format.html#validate/3"},{"type":"module","title":"JSV.Vocabulary.V202012.MetaData","doc":"","ref":"JSV.Vocabulary.V202012.MetaData.html"},{"type":"function","title":"JSV.Vocabulary.V202012.MetaData.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.MetaData.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.MetaData.init_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.MetaData.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.MetaData.validate/3","doc":"","ref":"JSV.Vocabulary.V202012.MetaData.html#validate/3"},{"type":"module","title":"JSV.Vocabulary.V202012.Unevaluated","doc":"","ref":"JSV.Vocabulary.V202012.Unevaluated.html"},{"type":"function","title":"JSV.Vocabulary.V202012.Unevaluated.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Unevaluated.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Unevaluated.format_error/3","doc":"","ref":"JSV.Vocabulary.V202012.Unevaluated.html#format_error/3"},{"type":"function","title":"JSV.Vocabulary.V202012.Unevaluated.init_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Unevaluated.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Unevaluated.validate/3","doc":"","ref":"JSV.Vocabulary.V202012.Unevaluated.html#validate/3"},{"type":"function","title":"JSV.Vocabulary.V202012.Unevaluated.validate_keyword/3","doc":"","ref":"JSV.Vocabulary.V202012.Unevaluated.html#validate_keyword/3"},{"type":"module","title":"JSV.Vocabulary.V202012.Validation","doc":"","ref":"JSV.Vocabulary.V202012.Validation.html"},{"type":"function","title":"JSV.Vocabulary.V202012.Validation.finalize_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Validation.html#finalize_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Validation.format_error/3","doc":"","ref":"JSV.Vocabulary.V202012.Validation.html#format_error/3"},{"type":"function","title":"JSV.Vocabulary.V202012.Validation.init_validators/1","doc":"","ref":"JSV.Vocabulary.V202012.Validation.html#init_validators/1"},{"type":"function","title":"JSV.Vocabulary.V202012.Validation.validate/3","doc":"","ref":"JSV.Vocabulary.V202012.Validation.html#validate/3"},{"type":"function","title":"JSV.Vocabulary.V202012.Validation.validate_keyword/3","doc":"","ref":"JSV.Vocabulary.V202012.Validation.html#validate_keyword/3"},{"type":"exception","title":"JSV.ValidationError","doc":"","ref":"JSV.ValidationError.html"},{"type":"function","title":"JSV.ValidationError.message/1","doc":"","ref":"JSV.ValidationError.html#message/1"},{"type":"function","title":"JSV.ValidationError.of/1","doc":"","ref":"JSV.ValidationError.html#of/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}